[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.KeyUpAfterInterface

Handles Key Up events forwarded from the LCL interface.

## Declaration

Source position: stdctrls.pp line 920

`protected procedure TCustomMemo.KeyUpAfterInterface(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Virtual key code examined in the method.
`Shift` |  | Shift, Ctrl, or Alt modifier for the key code.

## Description

KeyUpAfterInterface handles the VK_RETURN key code for the control when WantReturns is set to True. It sets the value in Key to 0 to indicate that the key code does not finish editing in the control.

It calls the inherited method prior to exit to handle the key code normally when WantReturns is set to False.

## See also

TWinControl.KeyUpAfterInterface |  | An empty implementation in the current LCL version.